h07014
s 00003/00001/00091
d D 1.6 83/03/10 19:24:48 mrk 6 5
c modified to do dump buffer prior to reseting vector list
e
s 00004/00000/00088
d D 1.5 83/03/08 20:19:55 tes 5 4
c modified axis pipeline for integer calculations
e
s 00001/00001/00087
d D 1.4 83/03/02 17:44:26 mrk 4 3
c change in equvalence because of deleting 'ratio'
e
s 00001/00001/00087
d D 1.3 83/03/02 17:11:21 mrk 3 2
c allow 16 pie slices
e
s 00004/00002/00084
d D 1.2 83/01/28 13:50:11 tes 2 1
c initial_internal_update
e
s 00086/00000/00000
d D 1.1 83/01/28 13:01:40 tes 1 0
c date and time created 83/01/28 13:01:40 by tes
e
u
tes
mjb
mrk
mmm
U
t
T
I 1
subroutine gpdflt
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: initialize GSS-PLOT common areas                       #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
D 6
#            none                                                      #
E 6
I 6
#            gpzmov                                                    #
E 6
#                                                                      #
########################################################################
integer nteger(1)
real zreals(1)

integer i
 
include(`pltcom')
 
D 4
equivalence (ratio(1), zreals(1)), (natype(1), nteger(1))
E 4
I 4
equivalence (xvwmin, zreals(1)), (natype(1), nteger(1))
E 4
 
DxB write (DEBUGxUNIT, 100)
DxB 100 format (' gpdflt:')
 
I 6
   call gpzmov (ABSOLUTE, 0, 0)   # Force the buffer out

E 6
   do i=1, LENGTHxINTEGERxCOMMON
      nteger(i) = 0
 
   do i=1, LENGTHxREALxCOMMON
      zreals(i) = 0.0
 
   nbclst = 1  # variable to count which bar of a cluster is being output
   nbcolr = 1  # default bar color
   nlcolr = 1  # default line color
   nlstyl = 1  # default line style is solid
   nmajor = 1  # number of major tic intervals/axis
   nmcolr = 1  # default marker color
   nminor = 1  # number of tics per interval
   nmstyl = 1  # default marker
I 2
   nbsclr = 1  # Baseline color is 1
   nbastl = 1  # Baseline linetype is solid
E 2
 
   zbrwid = .05  # bar is 5% of axis width
   zlincr = 1.0  # current tic label increment
 
   zplmin(1) = .10  # Default axis position is (.1, .1, .9, .9)
   zplmin(2) = .10
   zplmax(1) = .90
   zplmax(2) = .90
I 5
   nplmin(1) = 3277
   nplmin(2) = 3277
   nplmax(1) = 29491
   nplmax(2) = 29491
E 5
 
   do i=1, 2 {    # For each axis define the following:
      ngdclr(i) = 1   # Grid color is index 1
      ngdstl(i) = 1   # Grid style is index 1
      ntstat(i) = 1   # tic status is 1
      }
   do i=1, 5 {  # For each of the text attributes:
      nfont(i) = 1   # default font is one
      njust(i) = 1   # character justification is lower left
      ntxclr(i) = 1  # color is index 1
      ztxsiz(i) = 1.0  # Size is 1.0  (1% of long axis)
      }
D 3
   do i=1, 15 {   # For each of the pie slices:
E 3
I 3
   do i=1, 16 {   # For each of the pie slices:
E 3
      npslcc(i) = 1  # pie slice fill pattern
      npslcj(i) = 4  # pie label text justification
      }
 
   # initialize the viewing transform components
   xvwmin = 0.0
   yvwmin = 0.0
D 2
   xvwlng = 1.0
   yvwlng = 1.0
E 2
I 2
   xvwlng = 32767.0
   yvwlng = 32767.0
E 2

   # Initialize the far clipping edges
   zytop = 1.0
   zxrght = 1.0

   return
end
E 1
